void printi(int val);

int main()
{
  printi(sizeof(char));
  printi(sizeof(short));
  printi(sizeof(int));
  printi(sizeof(unsigned char));
  printi(sizeof(unsigned short));
  printi(sizeof(unsigned int));

  return 0;
}
